jQuery(document).ready(function($){

    $(document).on('click', '#it-company-lite-welcome-notice .notice-dismiss', function(){

        $.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'it_company_lite_dismiss_notice'
            }
        });

    });

});